Bug 187627 - kernel-2.6.16-1.2069_FC4 freezes on i586 during or shortly after boot
kernel-2.6.16-1.2069_FC4 freezes on i586 during or shortly after boot
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-01 20:19 EST by Matthew Saltzman
Modified: 2015-01-04 17:26 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-17 19:46:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Saltzman 2006-04-01 20:19:03 EST
Description of problem:
system freezes with kernel-2.6.16-1.2069_FC4.  The freeze happens as early as
hardware installation or as late as shortly after boot completes.

Version-Release number of selected component (if applicable):
kernel-2.6.16-1.2069_FC4

How reproducible:
Always (so far).

Steps to Reproduce:
1. Boot kernel-2.6.16-1.2069_FC4 on i586.
2. Wait.
3. 
  
Actual results:
System freezes.

Expected results:
System functions normally.

Additional info:
kernel-2.6.15-1.1833_FC4 and earlier have worked fine.

The system has a BusLogic SCSI card, a Matrox video card, and an ISA sound card,
but runs keyboardless and without X.  No messages appear on the monitor or in
/var/log/messages.
Comment 1 D Huen 2006-04-08 17:49:03 EDT
I report a problem that may possibly be identical.
Hardware: Athlon64 2800+ on VIA VT800 chipset
Architecture: x86_64
Graphics: ATI Radeon 8500 Pro

Machine freezes soon after boot.  Video signal is lost soon after boot switches
to graphical mode.  Problem on kernel-2.6.16-1.2069_FC4 but not on
kernel-2.6.15-1.1833_FC4 and earlier.

No errors listed in /var/log/messages.  Last entries were:-
Apr  8 22:22:44 fewermet kernel: FDC 0 is a post-1991 82077
Apr  8 22:22:44 fewermet kernel: r8169 Gigabit Ethernet driver 2.2LK-NAPI loaded
Apr  8 22:22:44 fewermet kernel: GSI 17 sharing vector 0xB1 and IRQ 17
Apr  8 22:22:44 fewermet kernel: ACPI: PCI Interrupt 0000:00:13.0[A] -> GSI 18
(level, low) -> IRQ 17
Apr  8 22:22:44 fewermet kernel: eth0: RTL8169 at 0xffffc2000001c000,
00:0d:61:52:20:8c, IRQ 17
Apr  8 22:22:44 fewermet kernel: ACPI: PCI Interrupt Link [ALKC] BIOS reported
IRQ 0, using IRQ 22
Apr  8 22:22:44 fewermet kernel: ACPI: PCI Interrupt Link [ALKC] enabled at IRQ 22
Comment 2 D Huen 2006-04-09 03:37:34 EDT
Further details on problem observed on Athlon64:-
When switched to text bootup, system completes boot normally to usual text login.
When I login in and execute startx, the graphical environment (kde) starts up
normally too.  Some interaction between kernel-2.6.16-1.2069_FC4 and the
graphical login manager?
Comment 3 Matthew Saltzman 2006-04-09 07:34:55 EDT
This doesn't sound like my bug.  I'm booting in runlevel 3, no rhgb, and my
freeze can occur anytime from right after udev starts to after the login prompt
appears.
Comment 4 Dave Jones 2006-09-16 23:29:47 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 5 Dave Jones 2006-10-16 20:57:30 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 6 Matthew Saltzman 2006-10-17 15:09:19 EDT
This problem is no longer reproducible with the last FC4 kernel.  I was never
able to install FC5 on this machine, but will test with FC6.

Note You need to log in before you can comment on or make changes to this bug.